﻿using System;
using System.Data;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinEditors;
using Infragistics.Win.UltraWinGrid;

namespace MultiselectUltraGridColumn
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();
    }

    private void Form1_Load(object sender, EventArgs e)
    {
      var valueList = new ValueList();

      var items = new ValueListItem[] 
                      {
                        new ValueListItem(1, "one"),
                        new ValueListItem(2, "two"),
                        new ValueListItem(3, "three")
                      };
     
      valueList.ValueListItems.AddRange(items);

      var ultraComboEditor = new UltraComboEditor()
                                {
                                  ValueList = valueList
                                };

      ultraComboEditor.CheckedListSettings.CheckBoxStyle = CheckStyle.CheckBox;
      ultraComboEditor.CheckedListSettings.EditorValueSource = EditorWithComboValueSource.CheckedItems;
      ultraComboEditor.CheckedListSettings.ListSeparator = ", ";
      ultraComboEditor.CheckedListSettings.ItemCheckArea = ItemCheckArea.Item;

      var gridTable = new DataTable();
            //gridTable.Columns.Add("column", typeof(int[]));
            gridTable.Columns.Add("column", typeof(object[]));
            gridTable.Rows.Add(new object[] { new object[] { 1, 2 } });
            gridTable.Rows.Add(new object[] { new object[] { 1 } });
            gridTable.Rows.Add(new object[] { new object[] { } });
            //gridTable.Columns.Add("column", typeof(object[]));

            // gridTable.Rows.Add((new int[] { 1, 2 }));
            //gridTable.Rows.Add((new int[] { 1 }));
            //gridTable.Rows.Add((new int[] { }));

            ultraGrid1.DataSource = gridTable;

      ultraGrid1.DisplayLayout.Bands[0].Columns[0].EditorComponent = ultraComboEditor;
      ultraGrid1.DisplayLayout.AutoFitStyle = AutoFitStyle.ExtendLastColumn;
    }

    private void button1_Click(object sender, EventArgs e)
    {

    }
  }
}
